
For /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set date=%%a-%%b-%%c)

set MYDATE=%date%
set MYDIR=%USERPROFILE%/OTESERVER/ote%MYDATE%
set INSTANCEAREA=%MYDIR%/workspace
mkdir "%MYDIR%"

set USER_NAME=%USERNAME%
				
set SERVER_TITLE=%1
if [%1] == [] (
   set SERVER_TITLE=OTE Server [%USER_NAME%]
) ELSE (
   for /f "tokens=1*" %%a in ("%*") do (
      set USER_ARGS=%%b
   )
)

set RESTPORT=8091


				
echo SERVER_TITLE[%SERVER_TITLE% ]

echo Starting TEST Service...
set JAVA_MIN_HEAP_SIZE=-Xms128m
set JAVA_MAX_HEAP_SIZE=-Xmx1024m	
				
java ^
-Dote.id=STARTED_%MYDATE% ^
-Dosgi.clean=true ^
-Dosgi.instance.area="%INSTANCEAREA%" ^
-Ddisable.org.osgi.service.http.port=%RESTPORT%  ^
-Dote.master.uri=http:someUrlWhereTheMasterRestServerIsRunning:port ^
-Duser.name="%USER_NAME%" ^
-Dosee.ote.server.title="%SERVER_TITLE%" ^
-Dosee.ote.station.name=%COMPUTERNAME% ^
-Dsun.net.maxDatagramSockets=1000 ^
-Dcm.config.uri="etc/ote.server.config.json" ^
-Dlogback.configurationFile="etc/logback.xml" ^
%USER_ARGS% ^
-Dosee.ote.server.factory.class=org.eclipse.ote.simple.test.environment.SimpleTestEnvironmentStartupFactory ^
-Dosee.log.default=WARNING -jar plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar -console -configuration "%MYDIR%"
